### Method

# GLib VariantIter n_children

since: 2.24

#### Declaration [src]

    gsize
    g_variant_iter_n_children (
      GVariantIter* iter
    )

#### Description [src]

Queries the number of child items in the container that we are iterating over. This is the total number of items — not the number of items remaining.

This function might be useful for preallocation of arrays.

Available since: 2.24

#### Return value

Type: `gsize`

The number of children in the container.